Extending Qt Creator Manual | ParseTreeNode

Extending Qt Creator Manual 4.7.1

# ParseTreeNode Class

(Debugger::Internal::ParseTreeNode)

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

virtual | ~ParseTreeNode()
void | addChild(ParseTreeNode::Ptr childNode)
ParseTreeNode::Ptr | childAt(int i, const int &func, const int &file, int line) const
int | childCount() const
virtual ParseTreeNode::Ptr | clone() const = 0
int | pasteAllChildren() const
void | print(int indentation) const
int | toByteArray() const

## Static Public Members

Debugger::Internal::ParseTreeNode::Ptr | parseRule(Debugger::Internal::GlobalParseState *parseState)

## Protected Functions

| ParseTreeNode(Debugger::Internal::GlobalParseState *parseState)
| ParseTreeNode(const Debugger::Internal::ParseTreeNode &other)
int | bool2String(bool) const
Debugger::Internal::GlobalParseState * | parseState() const

## Member Type Documentation

### typedef ParseTreeNode::Ptr

## Member Function Documentation

### `[protected]` ParseTreeNode::ParseTreeNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of ParseTreeNode.

### `[protected]` ParseTreeNode::ParseTreeNode(const Debugger::Internal::ParseTreeNode &other)

Default constructs an instance of ParseTreeNode.

### `[virtual]` ParseTreeNode::~ParseTreeNode()

Destroys the instance of ParseTreeNode. The destructor is virtual.

### void ParseTreeNode::addChild(ParseTreeNode::Ptr childNode)

### `[protected]` int ParseTreeNode::bool2String(bool) const

### ParseTreeNode::Ptr ParseTreeNode::childAt(int i, const int &func, const int &file, int line) const

### int ParseTreeNode::childCount() const

### `[pure virtual]` ParseTreeNode::Ptr ParseTreeNode::clone() const

### `[static]` Debugger::Internal::ParseTreeNode::Ptr ParseTreeNode::parseRule(Debugger::Internal::GlobalParseState *parseState)

### `[protected]` Debugger::Internal::GlobalParseState *ParseTreeNode::parseState() const

### int ParseTreeNode::pasteAllChildren() const

### void ParseTreeNode::print(int indentation) const

### int ParseTreeNode::toByteArray() const